using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class AntiFearPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.Person.ShockLevel = 0f;
		}

		public void Update()
		{
			Limb.Person.ShockLevel = 0f;
		}

		public AntiFearPoison()
		{
		}
	}

	class AntiFearSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(AntiFearPoison);
		}
	}
}