using System;
using UnityEngine;

namespace Mod
{
	class AntiRotPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return 10f;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<AntiRotBehaviour>();
		}

		public AntiRotPoison()
		{
		}
	}

	class AntiRotSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(AntiRotPoison);
		}
	}

	class AntiRotBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.GetComponent<SkinMaterialHandler>().RottenProgress = 0f;
		}
	}
}
