using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class ExplodePoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			if (Limb.name == "MiddleBody")
            {
				var explosion = Limb.gameObject.AddComponent<ExplosiveBehaviour>();
		    	explosion.Range = 10f;
                explosion.ShockwaveStrength = 1.5f;
                explosion.Delay = 0.5f;
                explosion.FragmentForce = 2.5f;
                explosion.ShockwaveLiftForce = 1f;
                explosion.BurnPower = 5f;
                explosion.ShotExplodeChance = 0.5f;
                explosion.DismemberChance = 0.5f;
                explosion.ArmOnAwake = true;
			}
		}

		public ExplodePoison()
		{
		}
	}

	class ExplodeSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(ExplodePoison);
		}
	}
}
