using System;
using UnityEngine;

namespace Mod
{
	class HighBouncinessPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			BoxCollider2D Mat = gameObject.GetComponent<BoxCollider2D>();

			var phys = Limb.gameObject.GetComponent<PhysicalBehaviour>();
			PhysicsMaterial2D material = new PhysicsMaterial2D();
            material.bounciness = 3f;

			Mat.sharedMaterial = material;
		}	
        
        public HighBouncinessPoison()
		{
		}
	}

    class HighBouncinessSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(HighBouncinessPoison);
		}
	}
}