using System;
using UnityEngine;

namespace Mod
{
	class InvisibilityPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return 10f;
			}
		}

		public override void Start()
		{
            Limb.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, 0.001f);
			Limb.PhysicalBehaviour.AbsorbsLasers = false;
		}

		public InvisibilityPoison()
		{
		}
	}

	class InvisibilitySyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(InvisibilityPoison);
		}
	}
}
