using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class NumbPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.Numbness = 1f;
		}

		public void Update()
		{
			Limb.Numbness = 1f;
		}

		public NumbPoison()
		{
		}
	}

	class NumbSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(NumbPoison);
		}
	}
}