using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class PainPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return 10f;
			}
		}

		public override void Start()
		{
			Limb.Person.PainLevel = 50f;
		}

		public PainPoison()
		{
		}
	}

	class PainSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(PainPoison);
		}
	}
}