using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class PumpkinPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			if (Limb.name == "Head")
            {
	    		SpawnableAsset AssetItem;
	    		GameObject SpawnedItem;
	    		AssetItem = ModAPI.FindSpawnable("Pumpkin");
	    		SpawnedItem =  UnityEngine.Object.Instantiate(AssetItem.Prefab, transform.position,new Quaternion(0f,0f,0f,0f));

	    		ModAPI.CreateParticleEffect("RedBarrelExplosion", transform.position);
	    		ModAPI.CreateParticleEffect("BigExplosion", transform.position);
			}
			UnityEngine.Object.Destroy(Limb.gameObject.transform.root.gameObject);
		}

		public PumpkinPoison()
		{
		}
	}

	class PumpkinSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(PumpkinPoison);
		}
	}
}
