using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class RandomColourPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			var rand = new System.Random();
            byte r = Convert.ToByte(rand.Next(0,255));;
            byte g = Convert.ToByte(rand.Next(0,255));
            byte b = Convert.ToByte(rand.Next(0,255));
            Limb.GetComponent<SpriteRenderer>().color = new Color32(r,g,b,255);
		}

		public RandomColourPoison()
		{
		}
	}

	class RandomColourSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(RandomColourPoison);
		}
	}
}
