using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class RegeneratePoison : PoisonSpreadBehaviour
	{

        public override float SpreadSpeed
        {
            get
            {
				return Mathf.Infinity;
            }
        }

        public override void Start()
		{
            Limb.gameObject.AddComponent<RegenBehaviour>();
		}

		public RegeneratePoison()
		{
		}
	}

	class RegenerateSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(RegeneratePoison);
		}
	}

	class RegenBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.RegenerationSpeed += 0.001f;
        }
    }
}
