using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class BleedingPoison : PoisonSpreadBehaviour
	{

        public override float SpreadSpeed
        {
            get
            {
				return Mathf.Infinity;
            }
        }

        public override void Start()
		{
			Limb.CirculationBehaviour.Cut((Vector2) Limb.transform.position, UnityEngine.Random.insideUnitCircle);
			Limb.CirculationBehaviour.BleedingRate *= 1.1f;
            Limb.CirculationBehaviour.BloodLossRateMultiplier *= 1.1f;
		}

		public BleedingPoison()
		{
		}
	}

	class BleedingSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(BleedingPoison);
		}
	}
}
