using System;
using UnityEngine;

namespace Mod
{
	class FragilePoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

        public override void Start()
		{
            this.Limb.ImpactPainMultiplier *= 1.5f;
            this.Limb.Health = this.Limb.InitialHealth;
            this.Limb.BreakingThreshold -= 0.85f;
            this.Limb.BaseStrength -= 0.85f;
            this.Limb.ShotDamageMultiplier = Math.Max(0.0f, this.Limb.ShotDamageMultiplier + 0.5f);
		}

		public FragilePoison()
		{
		}
	}

    class FragileSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(FragilePoison);
		}
	}
}