using System;
using UnityEngine;

namespace Mod
{
    class MagneticPoison : PoisonSpreadBehaviour
    {

        public override float SpreadSpeed
        {
            get
            {
                return 10f;
            }
        }

        public override void Start()
        {
            Limb.GetComponent<SpriteRenderer>().color = new Color(0.85f,0.85f,0.85f,1f);
            var phys = Limb.GetComponent<PhysicalBehaviour>();
            var properties = phys.Properties.ShallowClone();
            properties.MagneticAttractionIntensity = 2f;
            phys.Properties = properties;
        }

        public MagneticPoison()
        {
        }
    }

    class MagneticSyringe : OldSyringeBehaviour
    {
        public override Type GetPoisonType()
        {
            return typeof(MagneticPoison);
        }
    }
}