using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class NukePoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
            if (Limb.name == "MiddleBody")
            {
				UnityEngine.Object.Instantiate<GameObject>(ModAPI.FindSpawnable("Atom Bomb").Prefab.GetComponent<AtomBombBehaviour>().ExplosionPrefab , Limb.gameObject.transform.position, Quaternion.identity);
			}
		}

		public NukePoison()
		{
		}
	}

	class NukeSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(NukePoison);
		}
	}
}
