using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class OxygenPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.Person.OxygenLevel += 0.25f;
		}

		public OxygenPoison()
		{
		}
	}

	class OxygenSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(OxygenPoison);
		}
	}
}
