using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class RemovePoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return 0f;
			}
		}

		public override void Start()
		{
	    	UnityEngine.Object.Destroy(Limb.gameObject.transform.root.gameObject);
			ModAPI.CreateParticleEffect("Disintegration", transform.position);
		}

		public RemovePoison()
		{
		}
	}

	class RemoveSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(RemovePoison);
		}
	}
}