using JetBrains.Annotations;
using UnityEngine;

namespace Mod
{
    public class Mod : MonoBehaviour
    {
        
        public static void Main()
        {
            AddSyringe<BreakingSyringe>("Breaking", "A syringe that dismembers a human.", "Z Z Z Z Z Z Z Z Z Z Z A", new Color(0.6666666f, 0f, 0f, 1f));
            AddSyringe<PermaDeathSyringe>("Permanent Death", "A syringe that permanently kills a human.", "Z Z Z Z Z Z Z Z Z Z Z B", new Color(1f, 0.2352941f, 0.2352941f, 1f), true);
            AddSyringe<ElectroSyringe>("Electrocution", "A syringe that electrocutes a human.", "Z Z Z Z Z Z Z Z Z Z Z C", new Color(0.0784313f, 0.7058823f, 1f, 1f));
            AddSyringe<StrongElectroSyringe>("Strong Electrocution", "A much stronger version of a electrocution syringe.", "Z Z Z Z Z Z Z Z Z Z Z D", new Color(0.0784313f, 0.7058823f, 1f, 1f), true);
            AddSyringe<UltimateStrengthSyringe>("Ultimate Strength", "A syringe that makes a human extremely strong and durable but not unkillable.", "Z Z Z Z Z Z Z Z Z Z Z F", new Color(0.2784313f, 0.3215686f, 1f, 1f), true);
            AddSyringe<FragileSyringe>("Fragile", "A syringe that makes a human weak and brittle.", "Z Z Z Z G", new Color(1f, 0.05882352f, 0.6862745f, 1f));
            AddSyringe<CrushSyringe>("Crush", "A syringe that crushes a humans limbs no matter it's strength.", "Z Z Z Z Z Z Z Z Z Z Z H", new Color(1f, 0.1411764f, 0.3294117f, 1f));
            AddSyringe<AntiBleedingSyringe>("Anti Bleeding", "A syringe that makes a human unable to bleed.", "Z Z Z Z Z Z Z Z Z Z Z I", new Color(1f, 0.3058823f, 0.5294117f, 1f));
            AddSyringe<InvisibilitySyringe>("Invisibility", "A syringe that makes a humans skin very transparent and immune to some lasers.", "Z Z Z Z Z Z Z Z Z Z Z J", new Color(0.9019607f, 0.9019607f, 0.9019607f, 0.1f));
            AddSyringe<ConsciousnessSyringe>("Consciousness", "A syringe that makes a human conscious.", "Z Z Z Z Z Z Z Z Z Z Z K", new Color(0.1176470f, 0f, 0.5882352f, 1f));
            AddSyringe<RegenerateSyringe>("Regenerate", "A syringe that regenrates a human slighty.", "Z Z Z Z Z Z Z Z Z Z Z L", new Color(0.1960784f, 0.8431372f, 0f, 1f));
            AddSyringe<UnfreezeSyringe>("Unfreeze", "A syringe that unfreezes a humans joints.", "Z Z Z Z Z Z Z Z Z Z Z M", new Color(1f, 0.7333333f, 0f, 1f));
            AddSyringe<BleedingSyringe>("Bleeding", "A syringe that causes a human to bleed everywhere.", "Z Z Z Z Z Z Z Z Z Z Z N", new Color(0.4901960f, 0f, 0f, 1f));
            AddSyringe<HighBuoyancySyringe>("High Buoyancy", "A syringe that causes a human to become highly buoyant.", "Z Z Z Z Z Z Z Z Z Z Z O", new Color(0f, 0.5882352f, 1f, 1f));
            AddSyringe<LowFrictionSyringe>("Low Friction", "A syringe that causes a human to have low friction.", "Z Z Z Z Z Z Z Z Z Z Z P", new Color(0.1450980f, 1f, 0.9725490f, 1f), true);
            AddSyringe<HighBouncinessSyringe>("High Bounciness", "A syringe that causes a human to have high bounciness.", "Z Z Z Z Z Z Z Z Z Z Z Q", new Color(1f, 0.3019607f, 0f, 1f), true);
            AddSyringe<MagneticSyringe>("Magnetic", "A syringe that causes a human to be attracted by magnets.", "Z Z Z Z Z Z Z Z Z Z Z R", new Color(0.85f, 0.85f, 0.85f, 1f));
            AddSyringe<PumpkinSyringe>("Pumpkin", "A syringe that changes a human into a pumpkin.", "Z Z Z Z Z Z Z Z Z Z Z S", new Color(1f, 0.4352941f, 0f, 1f));
            AddSyringe<ExplodeSyringe>("Explode", "A syringe that causes a human to explode.", "Z Z Z Z Z Z Z Z Z Z Z T", new Color(1f, 0.8156862f, 0f, 1f), true);
            AddSyringe<RemoveSyringe>("Remove", "A syringe that removes a human from existance.", "Z Z Z Z Z Z Z Z Z Z Z U", new Color(0.15f, 0.15f, 0.15f, 1f));
            AddSyringe<AntiRotSyringe>("Anti Rot", "A syringe that makes a human unable to rot.", "Z Z Z Z Z Z Z Z Z Z Z V", new Color(0.4117647f, 0.9764705f, 0.3921568f, 1f));
            AddSyringe<AntiBurnSyringe>("Anti Burn", "A syringe that makes a human unable to take damage from burning but can still burn.", "Z Z Z Z Z Z Z Z Z Z Z W", new Color(0.4f, 0.2470588f, 0.4f, 1f));
            AddSyringe<AntiAcidSyringe>("Anti Acid", "A syringe that makes a human unable to be melted with acid.", "Z Z Z Z Z Z Z Z Z Z Z X", new Color(0.3725490f, 0f, 0.6666666f, 1f), true);
            AddSyringe<NukeSyringe>("Nuke", "A syringe that makes a human explode with the power of a nuke.", "Z Z Z Z Z Z Z Z Z Z Z Y", new Color(0.1372549f, 0.9777777f, 0.5607843f, 1f));
            AddSyringe<OxygenSyringe>("Oxygen", "A syringe that contains pure oxygen.", "Z Z Z Z Z Z Z Z Z Z Z Z", new Color(1f, 1f, 1f, 1f));
            AddSyringe<NumbSyringe>("Numb", "A syringe that makes a human numb", "Z Z Z Z Z Z Z Z Z Z Z Z A", new Color(0.3921568f, 0.4823529f, 0.7176470f, 1f), true);
            AddSyringe<ShockSyringe>("Shock", "A syringe that makes a human feel shock.", "Z Z Z Z Z Z Z Z Z Z Z Z B", new Color(1f, 0.7843137f, 0f, 1f), true);
            AddSyringe<PainSyringe>("Pain", "A syringe that makes a human feel temporary pain.", "Z Z Z Z Z Z Z Z Z Z Z Z C", new Color(0.8235294f, 0.0274509f, 0.2705882f, 1f));
            AddSyringe<AntiFearSyringe>("Anti Fear", "A syringe that makes a human unable to feel fear.", "Z Z Z Z Z Z Z Z Z Z Z Z D", new Color(0f, 1f, 0.7333333f, 1f), true);
            AddSyringe<SkinHardeningSyringe>("Skin Hardening", "A syringe that makes a human resistant to being stabbed.", "Z Z Z Z Z Z Z Z Z Z Z Z E", new Color(1f, 1f, 1f, 1f), true);
            AddSyringe<InvincibilitySyringe>("Invincibility", "A syringe that makes a human extremely hard to kill.", "Z Z Z Z Z Z Z Z Z Z Z Z F", new Color(1f, 0.5294117f, 0f, 1f), true);
            AddSyringe<CancelOutSyringe>("Cancel Out", "A syringe that removes any other syringe effects when they're injected\nCan also remove any non self restoring behaviours of a human", "Z Z Z Z Z Z Z Z Z Z Z Z G", new Color(1f, 0.3137254f, 0f, 1f), true);
            AddSyringe<FreakOutSyringe>("Freak Out", "A syringe that makes a human freak out permanently", "Z Z Z Z Z Z Z Z Z Z Z Z H", new Color(0.5490196f, 0f, 0.1568627f, 1f));
            AddSyringe<ShakeSyringe>("Shake", "A syringe that makes a human shake permanently", "Z Z Z Z Z Z Z Z Z Z Z Z I", new Color(0.6078431f, 0.1960784f, 1f));
            AddSyringe<TrueFreezeSyringe>("True Freeze", "A syringe that freezes a human", "Z Z Z Z Z Z Z Z Z Z Z Z J", new Color(0.5882352f, 0f, 0.7058823f, 1f));
            AddSyringe<TemperatureImmunitySyringe>("Temperature Immunity", "A syringe that makes a human immune to temperature changing", "Z Z Z Z Z Z Z Z Z Z Z Z K", new Color(1f, 0f, 0.7843137f, 1f), true);
        }

        public static void AddSyringe<T>(string syringename, string description, string nametoorderbyoverride, Color syringecolor, bool isglowing = false) where T : Component
        {
            //Syringe
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Life Syringe"),
                    NameOverride = (syringename + " Syringe "),
                    NameToOrderByOverride = nametoorderbyoverride,
                    CategoryOverride = ModAPI.FindCategory("Biohazard"),
                    DescriptionOverride = description,
                    ThumbnailOverride = ModAPI.LoadSprite(syringename.ToLower() + ".png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SyringeSprite.png");

                        Instance.GetComponent<SpriteRenderer>().color = syringecolor;
                        Instance.GetComponent<PhysicalBehaviour>().Disintegratable = false;

                        foreach (var syringebehaviour in Instance.GetComponents<SyringeBehaviour>())
                        {
                            GameObject.Destroy(syringebehaviour);
                        }
                        Instance.AddComponent<T>();
                        if (isglowing)
                        {
                            Instance.GetComponent<SpriteRenderer>().sharedMaterial = ModAPI.FindMaterial("VeryBright");
                            Instance.GetComponent<SpriteRenderer>().color = new Color(syringecolor.r, syringecolor.g, syringecolor.b, 0.05f);
                            ModAPI.CreateLight(Instance.transform, syringecolor, 2.5f, 1f);
                        }
                    }
                }
            );
        }
    }
}