using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class ShockPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.Person.ShockLevel = 1f;
		}

		public void Update()
		{
			Limb.Person.ShockLevel = 1f;
		}

		public ShockPoison()
		{
		}
	}

	class ShockSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(ShockPoison);
		}
	}
}