using System;
using UnityEngine;

namespace Mod
{
	class UltimateStrengthPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

        public override void Start()
		{
            this.Limb.Vitality *= 0.5f;
            this.Limb.RegenerationSpeed += 25f;
            this.Limb.ImpactPainMultiplier *= 0.5f;
            this.Limb.InitialHealth += 75f;
            this.Limb.Health = this.Limb.InitialHealth;
            this.Limb.BreakingThreshold += 50f;
            this.Limb.BaseStrength += 10f;
            this.Limb.ShotDamageMultiplier = Math.Max(0.0f, this.Limb.ShotDamageMultiplier - 5f);
            this.Limb.Wince(10f);
		}

		public UltimateStrengthPoison()
		{
		}
	}

    class UltimateStrengthSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(UltimateStrengthPoison);
		}
	}
}