using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class UnfreezePoison : PoisonSpreadBehaviour
	{

        public override float SpreadSpeed
        {
            get
            {
				return Mathf.Infinity;
            }
        }

        public override void Start()
		{
			Limb.Frozen = false;
		}

		public UnfreezePoison()
		{
		}
	}

	class UnfreezeSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(UnfreezePoison);
		}
	}
}
